cancel
Showing results for 
Search instead for 
Did you mean: 

temando.CRITICAL: "accountId" is required. Enter and try again.

SOLVED
Highlighted

temando.CRITICAL: "accountId" is required. Enter and try again.

I update Magento 2.2.6 to 2.3.1 and I have this error in which I didn't find any information :

temando.CRITICAL: "accountId" is required. Enter and try again. {"exeption": "[object] (Magento\Framework\Exception\InputException(code: 0): \"accountId\" is required. Enter and try again. at /var/www/site/magento/vendor/magento/framework/Exception/InputException.php:91"}[]

I did find anything about this mistake, do someone had it and solved it ?
Thank you in advance.

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Hi @sylvain_michel,

 

This issue due to temando_shipping module. You can disable it first.

php bin/magento module:disable Temando_Shipping


If still you are getting error then you can remove from vendor folder as well. After upgrade it will auto populated again with new version.

I hope it will help you!

----
Problem solved? Click Accept as Solution!

View solution in original post

15 REPLIES 15
Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Hi @sylvain_michel,

 

This issue due to temando_shipping module. You can disable it first.

php bin/magento module:disable Temando_Shipping


If still you are getting error then you can remove from vendor folder as well. After upgrade it will auto populated again with new version.

I hope it will help you!

----
Problem solved? Click Accept as Solution!

View solution in original post

Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Thank you but unfortunatly this extension is required (in config.php is setted at 1 so it was used in magento 2.2 version)

Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Btw you can disable it as well.
You can also set 0 in config.php.

When you upgrade magento with latest version then it will come again.

Or safe side can take backup of this module as well if you manually remove it. If you remove then you can remove module row from config.php file as well.
----
Problem solved? Click Accept as Solution!
Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Hello @sylvain_michel,

Please try to update your composer by : 

composer update

Then execute following commands 

rm -rf generated/*
bin/magento setup:di:compile

 

bin/magento cache:flush
bin/magento setup:static-content:deploy

I hope this will work for you.

If this helps you, please accept it as solution and give kudos.

Regards.

Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Hello @Sarvagya Pandey ,

Thank you but I already done that, It didn't work.
With magento this even become automatic to do those step as it is a machine to generate bugs

Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

Hello @sylvain_michel, Could you please let me know which shipping method you are using on your store-front?
Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

hello @Sarvagya Pandey ,

in the class store-front a customer view is used

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

No I mean shipping methods like free shipping, flatrate shipping etc .. which one you are using for your website?
Highlighted

Re: temando.CRITICAL: "accountId" is required. Enter and try again.

@Sarvagya Pandey 
Was using flatrate shipping, but we uninstalled this extension and make ourself the modules, now it working. But thank you for your help.